OaIdl.FUNCKIND (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: OaIdl, class: FUNCKIND

Package com.sun.jna.platform.win32

# Class OaIdl.FUNCKIND

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.OaIdl.FUNCKIND

Direct Known Subclasses:
  `OaIdl.FUNCKIND.ByReference`

Enclosing interface:
  OaIdl

@FieldOrder("value") public static class OaIdl.FUNCKIND extends Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `OaIdl.FUNCKIND.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `FUNC_DISPATCH`
  `static final int`
  `FUNC_NONVIRTUAL`
  `static final int`
  `FUNC_PUREVIRTUAL`
  `static final int`
  `FUNC_STATIC`
  `static final int`
  `FUNC_VIRTUAL`
  `int`
  `value`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FUNCKIND()`
  `FUNCKIND(int value)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### FUNC_VIRTUAL

    public static final int FUNC_VIRTUAL
    See Also:
      - Constant Field Values

  - ### FUNC_PUREVIRTUAL

    public static final int FUNC_PUREVIRTUAL
    See Also:
      - Constant Field Values

  - ### FUNC_NONVIRTUAL

    public static final int FUNC_NONVIRTUAL
    See Also:
      - Constant Field Values

  - ### FUNC_STATIC

    public static final int FUNC_STATIC
    See Also:
      - Constant Field Values

  - ### FUNC_DISPATCH

    public static final int FUNC_DISPATCH
    See Also:
      - Constant Field Values

  - ### value

    public int value

- ## Constructor Details

  - ### FUNCKIND

    public FUNCKIND()

  - ### FUNCKIND

    public FUNCKIND(int value)